Package com.avaya.clientservices.call.feature

## Class CallForwardingStatus

- java.lang.Object
- - com.avaya.clientservices.call.feature.CallForwardingStatus

-     public class CallForwardingStatus
      extends java.lang.Object

  CallForwardingStatus for Internal and External calls.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallForwardingStatus​(boolean internalForwardEnabled, java.lang.String destinationForInternalForwardCalls, boolean externalForwardEnabled, java.lang.String destinationForExternalForwardCalls)` | Constructs a CallForwardingStatus object with status information for internal and external calls.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDestinationForExternalCalls()` |
    `java.lang.String` | `getDestinationForInternalCalls()` |
    `int` | `hashCode()` |
    `boolean` | `isEnabledForExternalCalls()` |
    `boolean` | `isEnabledForInternalCalls()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CallForwardingStatus

          public CallForwardingStatus​(boolean internalForwardEnabled,
                                      java.lang.String destinationForInternalForwardCalls,
                                      boolean externalForwardEnabled,
                                      java.lang.String destinationForExternalForwardCalls)

      Constructs a CallForwardingStatus object with status information for internal and external calls.
      Parameters:
        `internalForwardEnabled` - True if call forwarding is enabled for internal calls.
        `destinationForInternalForwardCalls` - The string containing destination for internal call forward.
        `externalForwardEnabled` - True if call forwarding is enabled for external calls. Always False for IP Office.
        `destinationForExternalForwardCalls` - The string containing destination for external call forward. Always empty for IP Office.

  - ### Method Detail

    - #### isEnabledForInternalCalls

          public boolean isEnabledForInternalCalls()

      Returns:
        true if call forwarding is enabled for internal calls.

    - #### getDestinationForInternalCalls

          public java.lang.String getDestinationForInternalCalls()

      Returns:
        the string containing destination address of call to be forwarded for internal calls.

    - #### isEnabledForExternalCalls

          public boolean isEnabledForExternalCalls()

      Returns:
        true if call forwarding is enabled for external calls.

    - #### getDestinationForExternalCalls

          public java.lang.String getDestinationForExternalCalls()

      Returns:
        the string containing destination address of call to be forwarded for External calls.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`